#
# spec file for package libextractor (Version 0.5.2)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  ImageMagick glib glib-devel gpp libgpp libogg-devel libvorbis libvorbis-devel pkgconfig python python-devel vorbis-tools

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel ImageMagick autoconf automake binutils gcc gcc-c++ gdbm gettext glib glib-devel gnome-filesystem libogg-devel libstdc++-devel libtool libvorbis libvorbis-devel perl pkgconfig python python-devel rpm vorbis-tools

Name:         libextractor
License:      GPL
Group:        Productivity/Other
Autoreqprov:  on
Version:      0.5.2
Release:      1.1
Summary:      Library to Extract Metadata from Files
Source:       http://gnunet.org/libextractor/download/%{name}-%{version}.tar.bz2
Patch:        libextractor-destdir.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
URL:          http://ovmj.org/libextractor/

%description
Using libextractor you can extract meta-data from files of arbitrary
type. Suported file format are: HTML, PDF, DVI, PS, MP3, OGG, WAV,
JPEG, GIF, PNG, TIFF, RPM, ZIP, TAR, ELF, REAL, RIFF (AVI), MPEG, QT,
ASF, and more. Also, various additional MIME types are detected.

Helper libraries will perform the extraction. It is extendable by
linking against external extractors for additional file types.

The goal is to provide developers of indexing tools with a universal
library to obtain simple keywords to match against queries.
libextractor contains a shell-command "extract" that, similar to the
well-known "file" command, can extract meta-data from a file an print
the results to stdout.



Authors:
--------
    Christian Grothoff <christian@grothoff.org>

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%package    devel
Summary:      Include Files and Libraries mandatory for Development
Group:        Productivity/Other
Requires:     %{name} = %{version}
Autoreqprov:  on

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Christian Grothoff <christian@grothoff.org>

%debug_package
%prep
%setup -q
# %patch -p 1
autoreconf

%build
export CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%{_prefix} \
	    --libdir=%{_prefix}/%_lib \
            --mandir=%{_mandir}
# export LIBRARY_PATH=$RPM_BUILD_ROOT/usr/lib:$LIBRARY_PATH
make
# requires the installed package
# make check

%install
make install DESTDIR=$RPM_BUILD_ROOT
/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir}

%post -n %{name}
%run_ldconfig

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root) 
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/*
%{_libdir}/lib*.so.*
# %{_libdir}/%{name}/lib*.so.*
%{_mandir}/man1/*
%{_datadir}/locale/*/*/*
%dir %{_datadir}/locale/rw
%dir %{_datadir}/locale/rw/LC_MESSAGES

%files devel
%defattr(-, root, root) 
%{_includedir}/*
%{_libdir}/lib*.so
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/lib*.so
%{_libdir}/*a
%{_libdir}/%{name}/*a
%{_mandir}/man3/*

%changelog -n libextractor
* Mon Jul 18 2005 - ke@suse.de
- Update to version 0.5.2.
* Thu Jun 23 2005 - ke@suse.de
- Update to version 0.5.0:
  * xpdf related security fixes.
- Apply libextractor-destdir.diff; for now, do not try to build the
  Python extension.
* Wed Dec 29 2004 - ke@suse.de
- Update to version 0.4.0:
  * Improve MP3 support (ID3 tags)
  * PDF fixes.
  * Better UTF-8 support.
* Mon Oct 18 2004 - ke@suse.de
- Update to version 0.3.9.
* Fri Oct 15 2004 - ke@suse.de
- Update to version 0.3.8.
* Tue Oct 12 2004 - ro@suse.de
- remove extra version line in devel subpackage
* Fri Aug 27 2004 - ke@suse.de
- New package: version 0.3.4.
